Packaging - Tasks #1417
Provide own Spread source mirror and homebrew formula for Spread daemon and library
02/14/2013 03:40 PM - S. Wrede

Status: Resolved Start date: 02/14/2013
Priority: Normal Due date:

Assignee: S. Wrede % Done: 100%
Category: Estimated time: 2.00 hours
Target version: rsb-0.9

Description

After license checking, the redistribution of the source code seems allowed. So, we need to find a mirror for this.

Once this is done, a homebrew formula needs to be provided.

History

#1 - 02/14/2013 03:46 PM - S. Wrede
- Tracker changed from Bug to Tasks
- Estimated time set to 2.00

We will make this project public such that https://code.cor-lab.org/projects/packaging/repository and the Spread source as well as the patches become

available.

#2 - 02/14/2013 04:37 PM - S. Wrede
- % Done changed from 0 to 50

- Added homebrew formula

- Changed visibility of packaging project to public to allow download of patches and source from project repository

- Still required: Application of patches

#3 - 02/14/2013 08:16 PM - S. Wrede

- Status changed from New to Feedback
- % Done changed from 50 to 100

- Spread Patches are applied now automatically by the spread formula.
- Enabled Spread by default in the RSB homebrew formula. (can be disabled by option --no-spread)
- Everything available on the GitHub Tap.

#4 - 06/06/2013 03:40 AM - J. Moringen
- Status changed from Feedback to Resolved

Since no feedback arrived in four months, | assume this worked out.
https://code.cor-lab.org/projects/packaging/repository

#5 - 06/06/2013 09:56 AM - S. Wrede

Yep. This has been done quite a time ago...
